#!/bin/sh
if [ -n $1 ]
then
INSTALLDIR=/opt/Canon
else
INSTALLDIR=$1
fi
BACKEND=canondr_backenddrg2090
BACKENDLIB=CeiVSLinux.so
BACKENDLIB2=CsdCore.so
SCANNERNAME=drg2090

if [ -e $INSTALLDIR/lib/canondr/$BACKEND ]
then
	rm -f $INSTALLDIR/lib/canondr/$BACKEND
fi

if [ -e $INSTALLDIR/lib/canondr/$SCANNERNAME/$BACKENDLIB ]
then
	rm -f $INSTALLDIR/lib/canondr/$SCANNERNAME/$BACKENDLIB
fi

if [ -e $INSTALLDIR/lib/canondr/$SCANNERNAME/$BACKENDLIB2 ]
then
	rm -f $INSTALLDIR/lib/canondr/$SCANNERNAME/$BACKENDLIB2
fi

if [ -e $INSTALLDIR/lib/canondr/$SCANNERNAME ]
then
	rm -rf $INSTALLDIR/lib/canondr/$SCANNERNAME
fi

cp -f ./$BACKEND $INSTALLDIR/lib/canondr/$BACKEND
mkdir -p $INSTALLDIR/lib/canondr/$SCANNERNAME
echo "mkdir -p $INSTALLDIR/lib/canondr/$SCANNERNAME"
cp -f ./$BACKENDLIB $INSTALLDIR/lib/canondr/$SCANNERNAME/$BACKENDLIB
echo "cp -f ./$BACKENDLIB $INSTALLDIR/lib/canondr/$SCANNERNAME/$BACKENDLIB"
cp -f ./$BACKENDLIB2 $INSTALLDIR/lib/canondr/$SCANNERNAME/$BACKENDLIB2
echo "cp -f ./$BACKENDLIB2 $INSTALLDIR/lib/canondr/$SCANNERNAME/$BACKENDLIB2"
chcon -t texrel_shlib_t $INSTALLDIR/lib/canondr/$SCANNERNAME/$BACKENDLIB
chcon -t texrel_shlib_t $INSTALLDIR/lib/canondr/$SCANNERNAME/$BACKENDLIB2
	

