#!/bin/sh
if [ -n $1 ]
then
INSTALLDIR=/opt/Canon
else
INSTALLDIR=$1
fi
BACKEND=canondr_backenddrg2090
BACKENDLIB=CeiVSLinux.so
BACKENDLIB2=CsdCore.so
SCANNERNAME=drg2090

if [ -e $INSTALLDIR/lib/canondr/$BACKEND ]
then
	rm -f $INSTALLDIR/lib/canondr/$BACKEND
fi

if [ -e $INSTALLDIR/lib/canondr/$SCANNERNAME/$BACKENDLIB ]
then
	rm -f $INSTALLDIR/lib/canondr/$SCANNERNAME/$BACKENDLIB
fi

if [ -e $INSTALLDIR/lib/canondr/$SCANNERNAME/$BACKENDLIB2 ]
then
	rm -f $INSTALLDIR/lib/canondr/$SCANNERNAME/$BACKENDLIB2
fi

if [ -e $INSTALLDIR/lib/canondr/$SCANNERNAME ]
then
	rm -rf $INSTALLDIR/lib/canondr/$SCANNERNAME
fi
