#!/bin/sh
if [ -n $1 ]
then
INSTALLDIR=/opt/Canon
else
INSTALLDIR=$1
fi

DEB_HOST_MULTIARCH=`dpkg-architecture -qDEB_HOST_MULTIARCH 2>/dev/null`
if [ ! $DEB_HOST_MULTIARCH ]
then
        echo "Not support multiarch - Install to /usr/lib64."
        SANELIBDIR=/usr/lib64/sane
else
        if [ -e /usr/lib/$DEB_HOST_MULTIARCH/sane ]
        then
                echo "Support multiarch - Install to /usr/lib/$DEB_HOST_MULTIARCH."
                SANELIBDIR=/usr/lib/$DEB_HOST_MULTIARCH/sane
        else
                echo "Support multiarch but sane directory is legacy - Install to /usr/lib64."
                SANELIBDIR=/usr/lib64/sane
        fi
fi

if [ -e $INSTALLDIR/lib/canondr/canondr_com_usb.1.2.0 ]
then
	rm -f $INSTALLDIR/lib/canondr/canondr_com_usb.1.2.0
fi
cp -f ./canondr_com_usb $INSTALLDIR/lib/canondr/canondr_com_usb.1.2.0
chmod 4755 $INSTALLDIR/lib/canondr/canondr_com_usb.1.2.0

if [ -e $INSTALLDIR/lib/canondr/canondr_scannercontrol.1.0.0 ]
then
	rm -f $INSTALLDIR/lib/canondr/canondr_scannercontrol.1.0.0
fi
cp -f ./canondr_scannercontrol $INSTALLDIR/lib/canondr/canondr_scannercontrol.1.0.0
chmod 4755 $INSTALLDIR/lib/canondr/canondr_scannercontrol.1.0.0

if [ -e $INSTALLDIR/lib/sane/libsane-canondr.so.1.0.1 ]
then
	rm -f $INSTALLDIR/lib/sane/libsane-canondr.so.1.0.1
	cp -f ./.libs/libsane-canondr.so.1.0.1 $INSTALLDIR/lib/sane/libsane-canondr.so.1.0.1
else
	cp -f ./.libs/libsane-canondr.so.1.0.1 $INSTALLDIR/lib/sane/libsane-canondr.so.1.0.1
	ln -sf $INSTALLDIR/lib/sane/libsane-canondr.so.1.0.1 $SANELIBDIR/libsane-canondr.so.1.0.0
	ln -sf $INSTALLDIR/lib/sane/libsane-canondr.so.1.0.1 $SANELIBDIR/libsane-canondr.so.1
	ln -sf $INSTALLDIR/lib/sane/libsane-canondr.so.1.0.1 $SANELIBDIR/libsane-canondr.so
fi


